Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.SecretDecoderRing
Class Encoding

    java.lang.Object
      |
      +--org.mozilla.jss.SecretDecoderRing.Encoding

All Implemented Interfaces:
  ASN1Value

public class Encoding
extends java.lang.Object
implements ASN1Value

An ASN.1 class for encoding the SecretDecoderRing result. This class is used internally by the SecretDecoderRing. You need not use this class directly in order to use the SecretDecoderRing.

Nested Class Summary
`static class` | `Encoding.Template` An ASN.1 class for decoding the SecretDecoderRing result.

Field Summary
`static Tag` | `TAG`

Constructor Summary
`Encoding(byte[] keyID, byte[] iv, OBJECT_IDENTIFIER encOID, byte[] ctext)`

Method Summary
`void` | `encode(java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using its own base tag.
`void` | `encode(Tag implicitTag, java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using an implicit tag.
`byte[]` | `getCiphertext()`
`OBJECT_IDENTIFIER` | `getEncryptionOID()`
`byte[]` | `getIv()`
`byte[]` | `getKeyID()`
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`static Encoding.Template` | `getTemplate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TAG

    public static final Tag TAG

Constructor Detail

### Encoding

    public Encoding(byte[] keyID,
                    byte[] iv,
                    OBJECT_IDENTIFIER encOID,
                    byte[] ctext)

Method Detail

### getKeyID

    public byte[] getKeyID()

### getIv

    public byte[] getIv()

### getEncryptionOID

    public OBJECT_IDENTIFIER getEncryptionOID()

### getCiphertext

    public byte[] getCiphertext()

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.

  Specified by:
    `getTag` in interface `ASN1Value`

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using its own base tag.

  Specified by:
    `encode` in interface `ASN1Value`
    `java.io.IOException`

### encode

    public void encode(Tag implicitTag,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using an implicit tag.

  Specified by:
    `encode` in interface `ASN1Value`
    `java.io.IOException`

### getTemplate

    public static Encoding.Template getTemplate()

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD